org.apache.ignite.internal.binary

## Interface BinaryIdentityResolver

All Known Implementing Classes:
  BinaryAbstractIdentityResolver, BinaryArrayIdentityResolver

    public interface BinaryIdentityResolver

Interface to compute hash codes for new binary objects and compare them for equality.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals(@Nullable BinaryObject o1, @Nullable BinaryObject o2)` Compare two binary objects for equality.
`int` `hashCode(BinaryObject obj)` Compute hash code for binary object.

### Method Detail

#### hashCode

    int hashCode(BinaryObject obj)

Compute hash code for binary object.

Parameters:
  `obj` - Binary object.
Returns:
  Hash code value.

#### equals

    boolean equals(@Nullable
                   @Nullable BinaryObject o1,
                   @Nullable
                   @Nullable BinaryObject o2)

Compare two binary objects for equality.

Parameters:
  `o1` - First object.
  `o2` - Second object.
Returns:
  `True` if both objects are equal.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021